<?php 
 
// array for JSON response
$response = array();
 
 require_once __DIR__ . '/catchexception.php';
// include db connect class
require_once __DIR__ . '/db_config.php';
  
 
$json = file_get_contents('php://input');
$obj = json_decode($json,true);

$deviceid = $obj['deviceid'];
$clientcode=$obj['clientcode'];
$fromdate=$obj['fromdate'];
$todate=$obj['todate'];
$itemgroupcode=$obj['itemgroupcode'];
$branchcode=$obj['branchcode'];
// $paraimeino ='f4f8ffbef470be87'; 
try{
if ($deviceid !="" ) {

  if($branchcode == '0')
{
   $filterBranch = "1=1";
}
else{
 $filterBranch = "a.branchcode=$branchcode";
}
         
    $paraquery="select sum(qty) as qty, sum(amount) as amount,a.itemcode,(select itemname from tblitemmaster where itemcode=a.itemcode) as itemname
  from tblsalesitemdetails as a  inner join tblitemmaster  as b on 
  a.itemcode=b.itemcode
  where b.itemgroupcode=$1 and transactiondate between $2 and $3  and a.clientcode=$4 and ". $filterBranch." group by a.itemcode	 order by sum(amount) desc"; 
  $resultmax=  pg_prepare($con,"paraquery",$paraquery);
      $data = [$itemgroupcode,$fromdate,$todate,$clientcode];
      $result = pg_execute($con,"paraquery",$data);
      
    if (!empty($result)) {
        // check for empty result
        if (pg_num_rows($result) > 0) {
      // user node
            $response["branchitemdetails"] = array();
 
            while ($row = pg_fetch_assoc($result)) {        
              $report = array();
               
                $report["itemcode"] = $row["itemcode"];
                $report["itemname"] = $row["itemname"];
                $report["qty"] = $row["qty"];
                $report["amount"] = $row["amount"];
                
                
           
              // push single product into final response array
              array_push($response["branchitemdetails"], $report);
            }
            // success
            $response["success"] = 1;
 
            // echoing JSON response
            echo  json_encode($response,JSON_UNESCAPED_UNICODE);


        } else {
            // no user found
            $response["success"] = 0;
            $response["message"] = "No Report found";
 
            // echo no users JSON
            echo json_encode($response);
        }
    } else {
        // no user found
        $response["success"] = 0;
        $response["message"] = "No found";
 
        // echo no users JSON
        echo json_encode($response);
    }
} else {
    // required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";
 
     echo  json_encode($response,JSON_UNESCAPED_UNICODE);
  }
  mch_db_release($con);
}
//catch exception
catch(Exception $e) {
mch_db_release($con);
echo 'Message: ' .$e->getMessage();
}
?>
